Ball = class "Ball"
function Ball:initialize(position, radius)
	self.position = position
end

function Ball:draw()
	self.fillcolor:set()
	love.graphics.circle("fill", self.position.x, self.position.y, self.radius, 13)
end

function Ball:middle()
	return self.position + Vector:new(self.radius, self.radius)
end

function Ball:colliding(other)
	return self.radius + other.radius > self.position:distance(other.position)
end
