Target = class("Target", Ball)

local winx = love.graphics.getWidth()
local winy = love.graphics.getHeight()

Target.fillcolor = Color:new(233, 247, 72)
Target.bordercolor = Color:new(238, 245, 166)
Target.radius = 5
Target.linewidth = 2

function Target:initialize()
	super.initialize(self, Vector:new(0,0))
	self:newPos()
end

function Target:newPos()
	local pad = self.radius*3
	self.position = Vector:new(math.random(pad, winx-pad), math.random(pad, winy-pad))
end
